Class | Fog::Compute::Bluebox::Real
In: | lib/fog/bluebox/requests/compute/get_products.rb lib/fog/bluebox/requests/compute/get_templates.rb lib/fog/bluebox/requests/compute/get_blocks.rb lib/fog/bluebox/requests/compute/reboot_block.rb lib/fog/bluebox/requests/compute/get_product.rb lib/fog/bluebox/requests/compute/get_location.rb lib/fog/bluebox/requests/compute/get_template.rb lib/fog/bluebox/requests/compute/destroy_block.rb lib/fog/bluebox/requests/compute/get_block.rb lib/fog/bluebox/requests/compute/destroy_template.rb lib/fog/bluebox/requests/compute/create_template.rb lib/fog/bluebox/requests/compute/create_block.rb lib/fog/bluebox/requests/compute/get_locations.rb lib/fog/bluebox/compute.rb
Parent: | Object

### Methods

create_block create_template destroy_block destroy_template get_block get_blocks get_location get_locations get_product get_products get_template get_templates new reboot_block reload request

### Public Class methods

new(options={})

### Public Instance methods

create_block(product_id, template_id, location_id, options = {})

Create a new block

#### Parameters

- product_id<~String> - ID of block product (size)
- template_id<~String> - ID of block OS/build template
- location_id<~String> - ID of deployment location
- options<~Hash>:

        * password<~String>   - Password for block

  or

        * ssh_public_key<~String> - SSH public key
        * username<~String>   - Defaults to deploy

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_template(block_id, options={})

Create a template from block

#### Parameters

- block_id<~Integer> - Id of block to create template from

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO

destroy_block(block_id)

Destroy a block

#### Parameters

- block_id<~Integer> - Id of block to destroy

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

TODO

destroy_template(id)

Create a template from block

#### Parameters

- id<~Integer> - Id of image to destroy

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO

get_block(block_id)

Get details of a block.

#### Parameters

- block_id<~Integer> - Id of block to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

TODO

get_blocks()

Get list of blocks

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘ips’<~Array> - Ip addresses for the block
    - ‘id’<~String> - Id of the block
    - ‘storage’<~Integer> - Disk space quota for the block
    - ‘memory’<~Integer> - RAM quota for the block
    - ‘cpu’<~Float> - The fractional CPU quota for this block
    - ‘hostname’<~String> - The hostname for the block

get_location(location_id)

Get details of a location

#### Parameters

- location_id<~Integer> - Id of location to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO

get_locations()

Get list of locations

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘id’<~String> - UUID of the location
    - ‘description’<~String> - Description of the location

get_product(product_id)

Get details of a product

#### Parameters

- product_id<~Integer> - Id of flavor to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO

get_products()

Get list of products

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘id’<~String> - UUID of the product
    - ‘description’<~String> - Description of the product
    - ‘cost’<~Decimal> - Hourly cost of the product

get_template(template_id)

Get details of a template

#### Parameters

- template_id<~Integer> - Id of template to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO

get_templates()

Get list of OS templates

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘id’<~String> - UUID of the image
    - ‘description’<~String> - Description of the image
    - ‘public’<~Boolean> - Public / Private image
    - ‘created’<~Datetime> - Timestamp of when the image was created

reboot_block(block_id, type = 'SOFT')

Reboot block

#### Parameters

- block_id<~String> - Id of block to reboot
- type<~String> - Type of reboot, must be in [‘HARD’, ‘SOFT’]

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

TODO

reload()
request(params)

[Validate]